View Issue Details

IDProjectCategoryView StatusLast Update
0003665Path[FreeCAD] Bugpublic2019-01-22 19:29
ReporterjurijAssigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003665: Material Allowance is not working
DescriptionIn Face operation the Material Allowance parameter is not taken into account using Line, Grid, Triangle patterns. The same problem exists with Pocket Shape operation regarding Pass Extension parameter. Attached test case with applied patch which should correct the behaviour is attached.

I have reported this on the forum but in more that a week I haven't got any replies.

https://forum.freecadweb.org/viewtopic.php?f=15&t=31762
Steps To ReproduceMake a Face operation.
Select Line, Grid or Triangle pattern.
Select Material Allowance different from zero. It doesn't have any effect.

Make Pocket Shape operation.
Select Line, Grid or Triangle pattern.
Select Pass Extension different from zero. It doesn't have any effect.
Additional InformationOS: Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14993 (Git)
Build type: Debug
Branch: master
Hash: 1e6818b6fbf86ad08d8fc85252dddcae8891dd54
Python version: 2.7.15
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.9.1.oce-0.18
Locale: English/UnitedKingdom (en_GB)
TagsNo tags attached.

Activities

jurij

2018-11-01 13:52

reporter  

patch.txt (1,046 bytes)
--- ../../../../../FreeCAD-master/src/Mod/Path/App/Area.cpp	2018-10-23 11:47:11.000000000 +0100
+++ Area.cpp	2018-10-23 13:37:58.611154476 +0100
@@ -2059,6 +2059,8 @@
             shift = 0.0; //Line pattern does not support shift
         Point center(box.Centre());
         double r = box.Radius()+stepover;
+        if ( extra_offset > 0 )
+            r += extra_offset;
         int steps = (int)ceil(r*2.0/stepover);
         for(int i=0;i<count;++i) {
             double a = angle + angles[i];
@@ -2080,7 +2082,7 @@
         PARAM_ENUM_CONVERT(AREA_MY,PARAM_FNAME,PARAM_ENUM_EXCEPT,AREA_PARAMS_CLIPPER_FILL);
         PARAM_ENUM_CONVERT(AREA_MY,PARAM_FNAME,PARAM_ENUM_EXCEPT,AREA_PARAMS_OFFSET_CONF);
         auto area = *myArea;
-        area.OffsetWithClipper(-tool_radius,JoinType,EndType,
+        area.OffsetWithClipper(-tool_radius-extra_offset,JoinType,EndType,
                 myParams.MiterLimit,myParams.RoundPrecision);
         out.Clip(toClipperOp(OperationIntersection),&area,SubjectFill,ClipFill);
         done = true;
patch.txt (1,046 bytes)
offset.fcstd (34,414 bytes)

sliptonic

2019-01-22 04:30

developer   ~0012484

Sorry this got overlooked so long. Patch applied. Submitting with next PR.

wmayer

2019-01-22 19:29

administrator   ~0012488

https://github.com/FreeCAD/FreeCAD/commit/96dee91d5e7d7fd37f43a4dcf406a120ae1f1b8a

Issue History

Date Modified Username Field Change
2018-11-01 13:52 jurij New Issue
2018-11-01 13:52 jurij File Added: patch.txt
2018-11-01 13:52 jurij File Added: offset.fcstd
2019-01-22 04:30 sliptonic Note Added: 0012484
2019-01-22 05:06 sliptonic Status new => resolved
2019-01-22 19:29 wmayer Assigned To => sliptonic
2019-01-22 19:29 wmayer Status resolved => closed
2019-01-22 19:29 wmayer Resolution open => fixed
2019-01-22 19:29 wmayer Fixed in Version => 0.18
2019-01-22 19:29 wmayer Note Added: 0012488